
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was MEPACKConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib64/cmake/mepack64" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include(CMakeFindDependencyMacro)

# Capturing values from config)
set(MEPACK_INTEGER8 ON)

# Same syntax as find_package
find_dependency(OpenMP REQUIRED)

if ( CMAKE_Fortran_COMPILER_LOADED)
    if(NOT TARGET OpenMP::OpenMP_Fortran)
        find_package(Threads REQUIRED)
        add_library(OpenMP::OpenMP_Fortran IMPORTED INTERFACE)
        set_property(TARGET OpenMP::OpenMP_Fortran
            PROPERTY INTERFACE_COMPILE_OPTIONS ${OpenMP_Fortran_FLAGS})
        # Only works if the same flag is passed to the linker; use CMake 3.9+ otherwise (Intel, AppleClang)
        set_property(TARGET OpenMP::OpenMP_Fortran
            PROPERTY INTERFACE_LINK_LIBRARIES ${OpenMP_Fortran_FLAGS} Threads::Threads)

    endif()
else()
    MESSAGE(FATAL_ERROR "MEPACK required Fortran to be enabled as language in your project. Consider adding ENABLE_LANGUAGE(Fortran) to your project." )
endif()

# Any extra setup

# Add the targets file
include("${CMAKE_CURRENT_LIST_DIR}/MEPACKTargets.cmake")
